/*
Add this inside the element whenever there is an image in a background.
style="background: url('{{ img_background|media }}') center/cover no-repeat;"

*/

html {
    scroll-behavior: smooth;
}

body {
    font-family: "Poppins", sans-serif;
}

p {
    margin: 0;
}

p,
h4 {
    font-family: "Encode Sans", sans-serif !important;

}

#contact {
    scroll-margin-top: 100px;
}

#transformation {
    scroll-margin-top: 100px;
}

#cards {
    scroll-margin-top: 0px;
}

.hero {
    position: relative;
    min-height: 100vh;
    height: auto;
    display: flex;
    align-items: center;
    padding: 0 80px;
    background-attachment: fixed;
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
}

.hero-overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.5);
}

.hero-content {
    position: relative;
    z-index: 2;
    max-width: 600px;
    color: #fff;
}

.hero-badge {
    display: inline-block;
    background: #ffe600;
    color: #000;
    font-weight: bold;
    padding: 5px 10px;
    margin-bottom: 20px;
}

.hero-content h1 {
    font-size: 42px;
    font-weight: 700;
    line-height: 1.2;
    margin-bottom: 20px;
}

.hero-content p {
    font-size: 16px;
    margin-bottom: 15px;
    line-height: 1.5;
}

.hero-btn {
    display: inline-block;
    margin-top: 10px;
    padding: 12px 25px;
    background: #4181AE;
    color: #fff;
    text-decoration: none;
    border-radius: 30px;
    font-weight: bold;
    transition: 0.3s;
}

.hero-btn:hover {
    opacity: 0.7;
}

.hero-inner {
    max-width: 1320px;
    margin: 0 auto;
    width: 100%;
}

.hero-content {
    position: relative;
    z-index: 2;
    color: #fff;
    max-width: 600px;
}

/* ------------------------ 4 CARDS -------------------------- */

.features {
    position: relative;
    margin: -110px 0;
    z-index: 10;
}

.features-wrapper {
    max-width: 1320px;
    margin: 0 auto;
    overflow: hidden;
}

.features-track {
    display: flex;
    gap: 30px;
    transition: transform 0.4s ease;
}

.card {
    flex: 0 0 calc((100% - 60px) / 3);
    min-height: 220px;
    background: #c62828;
    border-radius: 20px;
    color: #fff;
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
    overflow: hidden;
    border: 0px solid var(--surface-border);
    box-shadow: none;
}

.card::before {
    content: "";
    position: absolute;
    inset: 0;
    background: rgba(0, 0, 0, 0);
    z-index: 1;
}

.card-dark::before {
    background: rgba(0, 0, 0, 0.311);
}

.arrow {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    width: 45px;
    height: 45px;
    background: white;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    z-index: 20;
}

.arrow-left {
    left: 100px;
    color: #000;
}

.arrow-right {
    right: 100px;
    color: #000;
}

.card-content {
    position: relative;
    z-index: 2;
    text-align: center;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.card-icon {
    width: 70px;
    height: 70px;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    margin-bottom: 5px;
}

.card-icon img {
    width: 50px;
}

.card-content h3 {
    font-size: 18px;
    font-weight: 700;
    margin-bottom: 10px;
}

.card-content p {
    font-size: 13px;
    line-height: 1.5;
    max-width: 220px;
    opacity: 0.9;
}

/* ------------------------ Counter and video section -------------------------- */

.stats-section {
    position: relative;
    min-height: 100vh;
    overflow: hidden;
}

.stats-bg {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-attachment: fixed;
    z-index: 1;
    background-attachment: fixed;
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
}

.stats-overlay {
    position: absolute;
    inset: 0;
    background: rgba(0, 0, 0, 0.6);
    z-index: 2;
}

.stats-overlay-fix {
    position: absolute;
    inset: 0;
    background: rgba(0, 0, 0, 0.3);
    z-index: 2;
}

.stats-overlay-video {
    position: absolute;
    inset: 0;
    background: #d3ccbab2;
    z-index: 2;
}

.stats-content {
    position: relative;
    z-index: 3;
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 60px;
    min-height: 110vh;
}

.stats-grid {
    display: grid;
    grid-template-columns: repeat(2, 355px);
    gap: 20px;
    margin-top: 40px;
}

.stats-left h2 {
    font-size: 38px;
    color: #fff;
    line-height: 50px;
    font-weight: 700;
    letter-spacing: 0.5px;
    margin-bottom: 50px;
}

.stat-box {
    background: rgba(255, 255, 255, 0.12);
    backdrop-filter: blur(12px);
    padding: 30px 10px;
    border-radius: 20px;
    color: #fff;
    min-height: 140px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.video-box {
    width: 530px;
    height: 298px;
    background: rgba(255, 255, 255, 0.12);
    backdrop-filter: blur(12px);
    border-radius: 25px;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 30px;
    color: white;
    position: relative;
    overflow: hidden;
    cursor: pointer;
}

.video-box iframe {
    width: 100%;
    height: 100%;
}

.video-link {
    display: flex;
    text-decoration: none;
    z-index: 4;
    height: 70px;
    width: 73px;
    justify-content: center;
    align-items: center;
}

.play-cont {
    color: white;
}

.video-link:focus,
.video-link:active {
    outline: none;
}

.video-link:hover {
    text-decoration: none;
}

.video-box::after {
    position: absolute;
    font-size: 20px;
}

.stat-box h3 {
    font-size: 32px;
    font-weight: 700;
    color: #D3CCBA;
    margin-bottom: 5px;
}

.stat-box p {
    font-size: 18px;
    font-weight: 500;
    color: #fff;
    letter-spacing: 0.5px;
}

.stat-box:nth-child(2) {
    transform: translateY(40px);
}

.stat-box:nth-child(4) {
    transform: translateY(40px);
}

/* ------------------------ Transformation carousel section -------------------------- */

.courses {
    position: relative;
    min-height: 80vh;
    padding: 100px 0;
    align-content: center;
}

.section-title {
    font-size: 38px;
    color: #fff;
    line-height: 50px;
    font-weight: 700;
    letter-spacing: 0.5px;
    margin-bottom: 50px;
    position: relative;
    display: inline-block;
    padding-bottom: 15px;
    width: 100%;
}

.section-title::after {
    content: "";
    position: absolute;
    left: 0;
    bottom: 0;
    width: 100%;
    height: 2px;
    background: rgba(255, 255, 255, 0.3);
}

.contente-cours {
    position: relative;
    z-index: 3;
}

.courses-wrapper {
    max-width: 1320px;
    margin: 0 auto;
    overflow: hidden;
}

.courses-track {
    display: flex;
    gap: 30px;
}

.course-card {
    flex: 0 0 calc((100% - 90px) / 4);
    height: 355px;
    width: 100%;
    background: #fff;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    overflow: hidden;
    border-radius: 15px;
}

.arrow-cour {
    position: absolute;
    top: 60%;
    transform: translateY(-40%);
    width: 45px;
    height: 45px;
    background: #fff;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    z-index: 10;
}

.arrow-left-cour {
    left: 100px;
    color: #000;
}

.arrow-right-cour {
    right: 100px;
    color: #000;
}

.dots {
    text-align: center;
    margin-top: 20px;
}

.dot {
    display: inline-block;
    width: 10px;
    height: 10px;
    background: #ccc;
    border-radius: 50%;
    margin: 0 5px;
}

.dot.active {
    background: #fff;
}

.course-img {
    height: 45%;
}

.course-img img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.course-content {
    padding: 0 10px;
    text-align: center;
    height: 100%;
    display: flex;
    align-items: center;
}

.course-content h4 {
    font-size: 18px;
    color: #333;
}

.course-user {
    display: flex;
    flex-direction: column;
    gap: 2px;
}

.course-user .name {
    font-weight: 600;
    font-size: 15px;
    color: #222;
    text-align: center;
}

.course-user .country {
    font-size: 13px;
    color: #777;
    text-align: center;
}

.course-footer {
    padding: 12px 15px;
    border-top: 1px solid #eee;
    display: flex;
    justify-content: center;
    align-items: center;
}

/* ------------------------ Contact section -------------------------- */

.contact-section {
    position: relative;
    padding: 120px 0;
    overflow: hidden;
    min-height: 80vh;
    display: flex;
    align-items: center;
    justify-content: center;
}

.contact-bg {
    position: absolute;
    inset: 0;
    z-index: 1;
}

.contact-overlay {
    position: absolute;
    inset: 0;
    background: rgba(15, 26, 32, 0.95);
    z-index: 2;
}

.contact-content {
    position: relative;
    z-index: 3;
    display: flex;
    gap: 40px;
    align-items: center;
}

.contact-form {
    flex: 3;
    background: #fff;
    padding: 40px;
    border-radius: 20px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: flex-start;
    height: 100%;
}

.contact-form h3 {
    margin-bottom: 25px;
    font-weight: 700;
    position: relative;
    display: inline-block;
    padding-bottom: 15px;
    width: 100%;
}

.contact-form h3::after {
    content: "";
    position: absolute;
    left: 0;
    bottom: 0;
    width: 100%;
    height: 1px;
    background: rgb(44 43 43 / 20%);
}

.form-row {
    display: flex;
    gap: 15px;
    margin-bottom: 15px;
    width: 100%;
}

.form-row input {
    flex: 1;
}

.contact-form input,
.contact-form textarea {
    width: 100%;
    border: none;
    padding: 15px;
    border-radius: 30px;
    background: #f3f3f3;
    outline: none;
    font-size: 14px;
}

.contact-form textarea {
    border-radius: 20px;
    height: 140px;
    margin-bottom: 20px;
}

.btn-contact {
    background: #4181AE;
    color: #fff;
    border: none;
    padding: 12px 25px;
    border-radius: 30px;
    cursor: pointer;
    font-weight: 600;
}

.contact-info {
    flex: 1;
    background: #22629A;
    color: #fff;
    padding: 40px;
    border-radius: 20px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

.info-item {
    border-bottom: 1px solid rgba(255, 255, 255, 0.2);
    padding-bottom: 15px;
    margin-bottom: 30px;
}

.info-item:last-child {
    border: none;
    margin-bottom: 0;
}

.info-item span {
    color: #fff;
    font-size: 15px;
    font-weight: 600;
    margin-bottom: 10px;
}

.info-item h4 {
    display: block;
    font-size: 18px;
    color: #fff;
    font-weight: 700;
    margin-top: 10px;
}


@media (max-width: 992px) {

    .hero {
        padding: 0 40px;
        align-items: center;
        background-attachment: scroll;
    }

    .hero-content h1 {
        font-size: 34px;
    }

    .hero-content p {
        font-size: 15px;
    }

    /* ------------------------ 4 CARDS -------------------------- */

    .card {
        flex: 0 0 calc((100% - 30px) / 2);
    }

    .arrow-left {
        left: 5px;
    }

    .arrow-right {
        right: 5px;
    }

    .features {
        margin: -110px 20px;
    }

    /* ------------------------ Counter and video section -------------------------- */

    .stat-box:nth-child(2),
    .stat-box:nth-child(4) {
        transform: none;
    }

    .stats-bg {
        background-attachment: scroll;
    }

    .stats-content {
        flex-direction: column;
        text-align: center;
        gap: 50px;
        min-height: auto;
        padding: 80px 0;
    }

    .stats-left h2 {
        font-size: 30px;
        line-height: 1.3;
        margin-bottom: 30px;
    }

    .stats-right {
        width: 100%;
    }

    .stats-grid {
        grid-template-columns: repeat(2, 1fr);
    }

    .video-box {
        width: 100%;
        max-width: 500px;
        height: 300px;
    }

    /* ------------------------ Transformation carousel section -------------------------- */

    .course-card {
        flex: 0 0 calc((100% - 30px) / 2);
    }

    .arrow-left-cour {
        left: 10px;
    }

    .arrow-right-cour {
        right: 10px;
    }

    .course-card {
        filter: grayscale(100%) brightness(0.5);
        opacity: 0.6;
        transform: scale(0.9);
    }

    /* ------------------------ Contact section -------------------------- */

    .contact-content {
        flex-direction: column;
        gap: 30px;
    }

    .contact-form {
        width: 100%;
    }

    .contact-info {
        width: 100%;
        flex-direction: row;
        flex-wrap: wrap;
        gap: 20px;
    }

    .info-item {
        flex: 1 1 calc(50% - 20px);
        margin-bottom: 0;
        border-bottom: none;
        border-right: 1px solid rgba(255, 255, 255, 0.2);
        padding-right: 15px;
    }

    .info-item:nth-child(2n) {
        border-right: none;
    }

}

@media (max-width: 768px) {

    .hero {
        padding: 120px 20px 60px;
        text-align: center;
    }

    .hero-inner {
        display: flex;
        justify-content: center;
    }

    .hero-content {
        max-width: 100%;
    }

    .hero-content h1 {
        font-size: 26px;
        line-height: 1.3;
    }

    .hero-content p {
        font-size: 14px;
    }

    .hero-btn {
        padding: 10px 20px;
        font-size: 14px;
    }

    /* ------------------------ 4 CARDS -------------------------- */

    .card {
        flex: 0 0 100%;
    }

    .arrow {
        width: 40px;
        height: 40px;
    }

    /* ------------------------ Counter and video section -------------------------- */

    .stats-section {
        min-height: auto;
    }

    .stats-content {
        padding: 160px 20px 80px;
        gap: 20px;
    }

    .stats-left h2 {
        font-size: 24px;
    }

    .stats-grid {
        grid-template-columns: 1fr;
        gap: 15px;
    }

    .stat-box {
        padding: 20px 10px;
    }

    .stat-box h3 {
        font-size: 26px;
    }

    .stat-box p {
        font-size: 14px;
    }

    .video-box {
        height: 220px;
        border-radius: 20px;
    }

    /* ------------------------ Transformation carousel section -------------------------- */


    .contact-form input,
    .contact-form textarea {
        font-size: 16px;
    }

    .courses-wrapper {
        overflow: hidden;
    }

    .courses-track {
        justify-content: center;
        gap: 20px;
    }

    .course-card {
        flex: 0 0 70%;
        transform: scale(0.9);
    }

    .courses {
        padding: 60px 0;
    }

    .section-title {
        font-size: 26px;
        text-align: center;
    }

    .course-card {
        filter: grayscale(100%) brightness(0.5);
        opacity: 0.6;
        transform: scale(0.9);
        transition: 0.1s;
    }

    /* ------------------------ Contact section -------------------------- */

    .contact-section {
        padding: 80px 20px;
    }

    .contact-content {
        gap: 25px;
    }

    .contact-form {
        padding: 25px;
    }

    .contact-form h3 {
        font-size: 20px;
    }

    .form-row {
        flex-direction: column;
        gap: 10px;
    }

    .contact-form input,
    .contact-form textarea {
        font-size: 16px;
        padding: 12px;
    }

    .contact-form textarea {
        height: 120px;
    }

    .btn-contact {
        width: 100%;
        text-align: center;
    }

    .contact-info {
        flex-direction: column;
        padding: 25px;
    }

    .info-item {
        border-right: none;
        border-bottom: 1px solid rgba(255, 255, 255, 0.2);
        padding-bottom: 10px;
    }

    .info-item:last-child {
        border-bottom: none;
    }

    .info-item h4 {
        font-size: 15px;
    }

}

.video-box iframe {
    pointer-events: none;
}

.video-box iframe {
    width: 100%;
    height: 100%;
    border: none;
    border-radius: 25px;
}

/* ---------------- CINEMA MODE ---------------- */

.cinema-mode {
    position: fixed;
    inset: 0;
    background: rgba(0, 0, 0, 0.92);
    z-index: 9999;
    display: flex;
    align-items: center;
    justify-content: center;
    opacity: 0;
    visibility: hidden;
    transition: 0.4s ease;
}

.cinema-mode.active {
    opacity: 1;
    visibility: visible;
}

.cinema-content {
    width: 85%;
    max-width: 1300px;
    height: 80vh;
    position: relative;
}

.cinema-content iframe {
    width: 100%;
    height: 100%;
    border: none;
    border-radius: 20px;
}

.close-cinema {
    position: absolute;
    top: -50px;
    right: 0;
    color: white;
    font-size: 35px;
    cursor: pointer;
}

.custom-play {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 70px;
    height: 70px;
    border-radius: 50%;
    border: 3px solid white;
    display: flex;
    align-items: center;
    justify-content: center;
    color: white;
    font-size: 30px;
    backdrop-filter: blur(8px);
    transition: 0.3s ease;
}

.video-box:hover .custom-play {
    transform: translate(-50%, -50%) scale(1.1);
    cursor: pointer;
}